Summary: Vine themes for gtk/metacity/icons
Summary(ja): gtk/metacity/icons 用 Vine テーマ 
Name: vine-themes
Version: 7.0.6
Release: 1%{?_dist_release}
License: GPLv2
Group: User Interface/Desktops

Source0: metatheme-vine-7.0.6.tar.xz
Source1: icon-theme-vine-7.0.1.tar.xz
Source2: cursor-theme-vine-7.tar.xz

BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

Requires(post): gtk2
Obsoletes: gnome-themes-vine < 3.8.0-2
Provides: gnome-themes-vine = %{version}-%{release}
Conflicts: metacity < 2.34.13-4

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
Contains the vine themes for Gnome desktop environment.

%description -l ja
このパッケージにはGNOMEデスクトップ環境用 Vine テーマが含まれます。 

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir $RPM_BUILD_ROOT%{_datadir}/themes
mkdir $RPM_BUILD_ROOT%{_datadir}/icons

# install Vine
tar xJvf %{SOURCE0} -C $RPM_BUILD_ROOT%{_datadir}/themes
tar xJvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/icons
tar xJvf %{SOURCE2} -C $RPM_BUILD_ROOT%{_datadir}/icons

# remove audio, battery icons
for file in `find $RPM_BUILD_ROOT%{_datadir}/icons/Vine/ | egrep "audio|battery"`; do 
	rm -f $file
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /usr/bin/gtk-update-icon-cache ]; then
  for dir in /usr/share/icons/*; do
    if [ -d "$dir" -a -f "$dir/index.theme" ]; then
        /usr/bin/gtk-update-icon-cache --quiet $dir ||:
    fi
  done
fi


%files
%defattr(-,root,root)
%{_datadir}/icons/*
%{_datadir}/themes/*

%changelog
* Tue Jun 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.0.6-1
- fix gtk3 theme on window-frame

* Sun Nov 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.0.5-1
- fix gtk3 theme on gnome-shell

* Fri Jul 18 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 7.0.4-1
- update gtk3 theme, fix submenu background color.

* Fri Jul 18 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 7.0.3-1
- fix titlebar background

* Fri Jul 18 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 7.0.2-1
- fix gtk3 theme on gnome-shell

* Thu Jul 17 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 7.0.1-1
- fix gtk3 theme 

* Wed Jul 16 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 7.0-1
- rename from gnome-themes-vine
- add metacity-vine-theme (splitted from metacity)
- update gtk2/gtk3/metacity/icon theme
- add Require(pre): gtk2, instead of gtk3
- add conflict to metacity
